--- title: "Check Bucket Availability" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/stratus/head-bucket/ description: "This API enables you to check if a particular bucket is present or not." last_updated: 2026-08-28T06:26:16Z service: Cloud Scale type: api --- # Check Bucket Availability ### Description This API allows you to check the availability of a particular [bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/) present in Stratus. The bucket will be referred using its unique [bucket name](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) ### Request Details #### Request URL `HEAD` {api-domain}/baas/v1/project/{project_id}/bucket/{bucket_name} - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **bucket_name** (Alphanumerical): The [name of the bucket](https://docs.catalyst.zoho.com/en/cloud-scale/help/stratus/buckets/name-bucket/#ideal-practices-to-name-a-bucket) #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.buckets.READ ### Response Details The response can be any of the following status codes: * `200`: If the bucket is available and if the user has the relevant permissions to access it. * `403`: If the bucket exists, but the user does not have the relevant permissions to access the bucket. * `404`: If the bucket does not exist. **Sample Request** ```bash curl -X HEAD https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket?bucket_name=myBucketName/ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" ``` ### SDK Documentation * [Check Bucket Availability - Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/stratus/check-bucket/) * [Check Bucket Availability - Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/stratus/check-bucket/) * [Check Bucket Availability - Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/stratus/check-bucket/) * [Check Bucket Availability - Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/stratus/check-bucket/) * [Stratus - iOS SDK](https://docs.catalyst.zoho.com/en/sdk/ios/v2/cloud-scale/stratus/overview/) * [Stratus - Android SDK](https://docs.catalyst.zoho.com/en/sdk/android/v2/cloud-scale/stratus/overview/) * [Stratus - Flutter SDK](https://docs.catalyst.zoho.com/en/sdk/flutter/v2/cloud-scale/stratus/overview/)